================================================================================
 改版履歴
================================================================================

2026/04 MDK for Java ver 2.0.7 リリース

    BankPay：
      ・決済申込の要求電文に以下の項目を追加
        ・利用者端末識別ID(userTerminalId)
      ・口座入力情報取得の要求電文に以下の項目を追加
        ・利用者端末識別ID(userTerminalId)
      ・口座登録の要求電文に以下の項目を追加
        ・口座名義人名(accountName)
      ・会員登録の要求電文の以下の項目のコメントを修正
        ・カナ名(userNameKana)

2026/02 MDK for Java ver 2.0.6 リリース

    検索：
      ・要求電文で、検索項目が初期化されていない場合に正常に動作しない不具合を修正

2025/11 MDK for Java ver 2.0.5 リリース

    検索：
      ・検索処理用のリクエストURL（エンドポイント）の変更への対応

2025/06 MDK for Java ver 2.0.4 リリース

    PayPay：
      ・決済申込の応答電文の以下の項目のコメントを修正
        ・検証環境接続フラグ(testEnvFlag)
      ・決済結果確認の応答電文に以下の項目を追加
        ・与信同時売上フラグ(withCapture)
    検索：
      ・PayPay検索パラメータの以下の項目のコメントを修正
        ・スマートペイメント検証環境接続フラグ(testEnvFlag)

2025/03 MDK for Java ver 2.0.3 リリース

    Alipay+：
      ・オンラインに対応
      ・決済申込の要求電文に以下の項目を追加
        ・プッシュURL（pushUrl）
      ・決済申込、確認の応答電文に以下の項目を追加
        ・決済金額(外貨)（foreignAmount）
        ・通貨コード(外貨)（foreignAmountCurrency）
      ・qrCodeImgUrl,qrCodeSmallImgUrl,qrCodeLargeImgUrl,appPayUrlがログ上マスクされるように修正
    PayPay：
      ・決済申込の要求電文に以下の項目を追加
        ・支払い可能期限(payTimeoutDatetime)
      ・スマートペイメントの集金サービスに対応
        ・決済申込要求電文、決済申込応答電文のコメントを修正
    検索：
      ・検索結果の決済オーダー情報に以下の項目を追加
        ・決済金額(外貨)（foreignAmount）
        ・通貨コード(外貨)（foreignAmountCurrency）

2025/01 MDK for Java ver 2.0.2 リリース

    AmazonPay、AlipayXが利用できない不具合を修正

2024/11 MDK for Java ver 2.0.1 リリース

    クレジットカード決済／本人認証サービス：
      ・PCI 3DS対応
        ・dddCavv,req3dCavv,res3dCavvがログ上マスクされるように修正
    キャリア決済：
      ・決済申込の要求電文の以下の項目のコメントを修正
        ・商品情報（itemInfo）
      ・決済申込、継続終了の要求電文で各種URL項目のコメントを修正
    メルペイ：
      ・決済申込の要求電文で各種URL項目のコメントを修正
    PayPay：
      ・スマートペイメント、バーコード決済対応(部分返金)、authStartUrl対応
    永久不滅ポイント決済：
      ・永久不滅ポイント決済のサービス終了対応
    電子マネー決済：
      ・nanaco決済のサービス終了対応

2024/03 MDK for Java ver 2.0.0 リリース

    接続先ドメインを新環境(api3.veritrans.co.jp)に変更
    動作するJavaのバージョンを変更(バージョンはREADME.txtを参照)
    同梱のライブラリを更新

2023/12 MDK for Java ver 1.9.4 リリース

    決済共通：
      ・MDK設定ファイルのコメントを修正
    クレジットカード決済／本人認証サービス：
      ・CNCトークンに対応

2023/11 MDK for Java ver 1.9.3 リリース

    楽天ペイ：
      ・随時決済に対応
    キャリア決済：
      ・再与信の応答電文に以下の項目を追加
        ・取引毎に付くID（custTxn）

2023/08 MDK for Java ver 1.9.2 リリース

    決済共通：
      ・ログのマスク対象項目からstatusを削除
    クレジットカード決済／本人認証サービス：
      ・認可、再取引の応答電文に以下の項目を追加
        ・認証開始URL（authStartUrl）
      ・本人認証結果取得の応答電文に以下の項目を追加
        ・トランザクションタイプ（txnType）
    PayPay:
      ・決済申込の要求電文に以下の項目を追加
        ・遷移種別（transitionType）
        ・拡張パラメータフラグ（extendParameterType）
      ・決済申込の要求電文の以下の項目のコメントを修正
        ・与信同時売上フラグ（withCapture）
      ・決済申込、再与信の応答電文の以下の項目のコメントを修正
        ・決済センターとの取引ID（paypayOrderId）
      ・取消、売上、返金の応答電文の以下の項目のコメントを修正
        ・決済サービスタイプ（serviceType）
      ・決済申込、再与信、解約の要求電文で各種URL項目のコメントを修正
    銀行決済:
      ・決済申込の要求電文に以下の項目を追加
        ・プッシュパラメータ追加フラグ（pushExpantionFlag）

2023/05 MDK for Java ver 1.9.1 リリース

    決済共通：
      ・cacertsのデフォルトの参照先をJDKに変更
    検索：
      ・検索結果の決済固有トランザクション情報に不正検知評価結果を追加（fdResult）
    メルペイ：
      ・決済申込、返金の要求電文の以下の項目のコメントを修正
        ・決済金額（amount）
        ・返金金額（amount）

2022/12 MDK for Java ver 1.9.0 リリース

    Bankpay：
      ・新規追加

2022/11 MDK for Java ver 1.8.B リリース

    キャリア決済：
      ・auPayアプリ認証方式に対応
      ・バーコード、スキャンコードに対応

2022/09 MDK for Java ver 1.8.A リリース

    クレジットカード決済／本人認証サービス：
      ・認可、再取引の応答電文に以下の項目を追加
        ・券種コード（kindCode）

2022/08 MDK for Java ver 1.8.9 リリース

    クレジットカード決済：
      ・不正検知V2に対応
    クレジットカード決済／本人認証サービス：
      ・不正検知V2に対応
      ・認可、再取引の要求電文に以下の項目を追加
        ・住所一致インジケーター（addressMatchIndicator）
      ・認可、再取引の要求電文の以下の項目のコメントを修正
        ・請求先郵便番号（billingPostalCode）
        ・配送先郵便番号（shippingPostalCode）
      ・本人認証結果取得の応答電文の以下の項目のコメントを修正
        ・3DトランザクションID（dddTransactionId）
        ・3DDSトランザクションID（dddDsTransactionId）
        ・3DサーバトランザクションID（dddServerTransactionId）
        ・3DCAVV（dddCavv）

2022/06 MDK for Java ver 1.8.8 リリース

    クレジットカード決済：
      ・与信、売上、取消の要求電文に以下の項目を追加
        ・拡張伝票情報（exSlipInfo）
    クレジットカード決済／本人認証サービス：
      ・認可、再取引の要求電文に以下の項目を追加
        ・本人認証用仕向け先コード（mpiAcquirerCode）
        ・拡張伝票情報（exSlipInfo）

2021/11 MDK for Java ver 1.8.7 リリース

    楽天ID決済：
      ・オンライン決済（V2）に対応
    Amazon Pay：
      ・加盟店の決済確認画面を利用するケースに対応
    スコア@払い：
      ・決済申込、決済情報修正の応答電文に以下の項目を追加
        ・加盟店注文ID（shopTransactionId）
    検索：
      ・Amazon Pay検索パラメータに以下の項目を追加
        ・決済確認画面種別（payConfirmScreenType）
      ・検索結果の決済オーダー情報に以下の項目を追加
        ・決済確認画面種別（payConfirmScreenType）

2021/10 MDK for Java ver 1.8.6 リリース

    クレジットカード決済／本人認証サービス：
      ・認可、再取引の要求電文に以下の項目を追加
        ・リクエスターチャレンジインジケーター（requestorChallengeIndicator）など

2021/08 MDK for Java ver 1.8.5 リリース

    クレジットカード決済／本人認証サービス：
      ・認可、再取引の要求電文に以下の項目を追加
        ・カード保有者名省略フラグ（cardholderNameOmitFlag）
        ・リスク判定用項目　認証メソッド（authMethod）など
      ・本人認証結果取得の応答電文に以下の項目を追加
        ・3Dトランザクションステータス理由（dddTransactionStatusReason）

2021/06 MDK for Java ver 1.8.4 リリース

    会員管理機能：
      ・会員管理の要求電文にカード保有者名（cardholderName）を追加
      ・会員管理APIのコンテキスト切替機能を追加
    クレジットカード決済／本人認証サービス：
      ・3Dセキュア 2.0 に対応
    キャリア決済：
      ・金額変更（UpdateAuthorize）の要求電文/応答電文を追加
    検索：
      ・3Dセキュア 2.0 に対応

2021/05 MDK for Java ver 1.8.3 リリース

    メルペイ：
      ・決済申込の要求電文に以下の項目を追加
        ・購入者情報フラグ（useBuyerInfo）
    Amazon Pay：
      ・与信変更、承諾情報更新に対応
      ・決済申込の要求電文に以下の項目を追加
        ・承諾時決済タイプ（consentAuthType）
        ・配送先制限リスト（addressRestrictions）
      ・決済申込/再与信の要求電文に以下の項目を追加
        ・プッシュ先URL（authorizePushUrl, capturePushUrl, cancelPushUrl）
    検索：
      ・検索結果の決済オーダー情報に以下の項目を追加
        ・随時決済金額（odAmount）
      ・検索結果の固有トランザクション情報に以下の項目を追加
        ・頻度（単位）（frequencyUnit）
        ・頻度（値）（frequencyValue）

2021/04 MDK for Java ver 1.8.2 リリース

    決済共通：
      ・MF01のメッセージをエラーの発生状況にあわせて調整

2021/02 MDK for Java ver 1.8.1 リリース

    メルペイ：
      ・随時決済に対応
    PayPay：
      ・随時決済に対応
    キャリア決済：
      ・決済申込要求電文に以下の項目を追加
        ・au ID（auId）

2020/12 MDK for Java ver 1.8.0 リリース

    Amazon Pay：
      ・随時決済に対応
    メルペイ：
      ・新規追加
    エポスかんたん決済：
      ・新規追加
    検索：
      ・検索結果の固有トランザクション情報に以下の項目を追加
        ・支払タイプ（reqPaymentType）
        ・要求レスポンスコード（reqResponseCode）

MDK for Java ver 1.7.0
    バーコード決済向けの為、欠番

2020/07 MDK for Java ver 1.6.0 リリース

    決済共通：
      ・ログ出力にSLF4Jを導入
    Amazon Pay：
      ・新規追加
    キャリア決済：
      ・ドコモ随時決済に対応
    PayPay：
      ・オンライン決済の与信後売上に対応
    スコア@払い：
      ・購入者(連絡先)情報にフルネーム(カナ)を追加

MDK for Java ver 1.1.0/1.2.0/1.3.0/1.4.0/1.5.0
    バーコード決済向けの為、欠番

2020/05 MDK for Java ver 1.0.C リリース

    PayPay：
      ・新規追加

2020/02 MDK for Java ver 1.0.B リリース

    ファミペイ：
      ・新規追加
    スコア@払い：
      ・新規追加

2019/11 MDK for Java ver 1.0.A リリース

    会員管理機能：
      ・会員管理に会員情報トークン機能を追加
      ・会員管理に会員情報複製（accountCopy）の要求電文/応答電文を追加
      ・要求電文に与信実施フラグ（withAuthorize）を追加

2018/10 MDK for Java ver 1.0.9 リリース

    電子マネー決済：
      ・BitCashに対応
    検索：
      ・電子マネー検索パラメータに以下の項目を追加
        ・管理番号（managementNo）
      ・検索結果の決済オーダー情報に以下の項目を追加
        ・管理番号（managementNo）
      ・検索結果の固有トランザクション情報に以下の項目を追加
        ・API実行ID（logId）
        ・センター要求日時（centerRequestDatetime）
        ・センター応答日時（centerResponseDatetime）

2018/09 MDK for Java ver 1.0.8 リリース

    コンビニ決済：
      ・決済申込要求電文のサービスオプションタイプ修正に伴いソースコメントを整備
      ・決済取消要求電文のサービスオプションタイプ修正に伴いソースコメントを整備
      ・決済申込応答電文のサービスオプションタイプ修正、ファミリーマートバーコ
        ード対応に伴いソースコメントを整備
    Alipay決済：
      ・与信売上要求電文に以下の項目を追加
        ・デバイスタイプ（deviceType）
    クレジットカード決済／MPIホスティング：
      ・不正検知に関する項目のソースコメントを整備

2018/07 MDK for Java ver 1.0.7 リリース

    会員管理機能：
      ・会員管理に会員情報ID紐付（accountLink）の要求電文/応答電文を追加
        ・会員情報ID紐付要求電文（AccountLinkRequestDto）
        ・会員情報ID紐付応答電文（AccountLinkResponseDto）
      ・会員管理の要求電文に取引情報オブジェクトを作成し、以下の項目を追加
        ・元取引ID（originalOrderId）
        ・洗替実施マーチャントID（cleaningMerchantId）

2018/05 MDK for Java ver 1.0.6 リリース

    会員管理機能：
      ・会員管理の要求電文にカード番号マスクタイプ（cardNumberMaskType）を追加
    Alipay決済：
      ・与信売上要求電文に以下の項目を追加
        ・店舗ID（storeId）
        ・店舗名（storeName）
    MasterPass：
      ・取消要求電文に直接返品フラグ（withDirect）を追加

2018/03 MDK for Java ver 1.0.5 リリース

    クレジットカード決済／MPIホスティング：
      ・不正検知エンジン（ACI ReD SHIELD）に対応

2018/02 MDK for Java ver 1.0.4 リリース

    コンビニ決済：
      ・決済申込要求電文に支払期限時分（payLimitHhmm）を追加
    検索：
      ・コンビニ検索パラメータに支払期限日時（payLimitDatetime）を追加
    Alipay決済：
      ・与信売上要求電文にレスポンスタイプ（responseType）を追加
      ・確認（Confirm）の要求電文/応答電文を追加

2017/12 MDK for Java ver 1.0.3 リリース

    MPIホスティング：
      ・本人認証（本人認証再取引）要求電文に以下の項目を追加
        ・不正検知評価取引情報（fraudDetectionRequest）
        ・不正検知実施フラグ（withFraudDetection）

2017/10 MDK for Java ver 1.0.2 リリース

    クレジットカード決済：
      ・不正検知に関する項目のソースコメントを整備
    MPIホスティング：
      ・本人認証（本人認証再取引）要求電文に本人認証有効期限（verifyTimeout）を追加
    コンビニ決済、銀行決済：
      ・決済申込の要求電文にプッシュURL（pushUrl）を追加

2017/07 MDK for Java ver 1.0.1 リリース

    クレジットカード決済：
      ・与信/取消の要求電文に以下の項目を追加
        ・チップコンディションコード（chipConditionCode）
      ・与信/売上/取消の応答電文に以下の項目を追加
        ・応答センター処理通番（resCenterProcessNumber）
        ・応答センター送信日時（resCenterSendDateTime）
    MPIホスティング：
      ・本人認証要求電文に以下の項目を追加
        ・仮登録フラグ（tempRegistration）

2017/02 MDK for Java ver 1.0.0 リリース

    ※以下、VeriTrans3G版MDKからの更新分を記載しています。

    会員管理機能：
      ・要求電文にMDKトークン（token）を追加
    クレジットカードを利用する決済共通：
      ・決済申込の要求電文にMDKトークン（token）を追加
    クレジットカード決済：
      ・与信(再与信)要求電文に以下の項目を追加
        ・不正検知評価取引情報（fraudDetectionRequest）
        ・不正検知実施フラグ（withFraudDetection）
      ・与信(再与信)応答電文に以下の項目を追加
        ・不正検知評価結果（fraudDetectionResponse）
